--addScene
--addcustom
CppScriptMgr:SetViewPosByCell(49,32)
local Player_3=CppScriptMgr:AddSimplePlayer(36447,54,31,"",0,0)
Player_3:SetZoomPercent(200)
local Player_1=CppScriptMgr:AddSimplePlayer(1055847,49,32,"Chang`e",0,0)
local Effect_1=CppScriptMgr:AddEffect("100wp_wqbhwl",49,32,33)
Effect_1:Scale(3,3,3)
local Effect_5=CppScriptMgr:AddEffect("zero7196700",54,35,33)
local Effect_10=CppScriptMgr:AddEffect("zero7196700",47,38,33)
local Effect_6=CppScriptMgr:AddEffect("zero7196670",39,28,33)
local Effect_7=CppScriptMgr:AddEffect("zero7196670",51,38,33)
local Effect_9=CppScriptMgr:AddEffect("zero7196670",42,36,33)
local Effect_8=CppScriptMgr:AddEffect("zero7196670",58,38,33)
local Effect_11=CppScriptMgr:AddEffect("zero7196670",40,41,33)
local Player_4=CppScriptMgr:AddSimplePlayer(18040,58,38,"",0,0)
local Player_5=CppScriptMgr:AddSimplePlayer(18040,55,31,"",0,0)
local Player_6=CppScriptMgr:AddSimplePlayer(31450,51,38,"",0,0)
local Player_7=CppScriptMgr:AddSimplePlayer(31450,54,34,"",0,0)
local Player_8=CppScriptMgr:AddSimplePlayer(31450,39,28,"",0,0)
Player_4:SetDir(2)
Player_5:SetDir(2)
Player_6:SetDir(2)
Player_7:SetDir(2)
Player_4:SetZoomPercent(120)
Player_6:SetZoomPercent(120)
Player_5:SetZoomPercent(120)
Player_7:SetZoomPercent(120)
Player_8:SetZoomPercent(120)
CppScriptMgr:WaitMilSec(500)
Player_1:SetAction(10)
CppScriptMgr:WaitMilSec(2000)
local Effect_2=CppScriptMgr:AddEffect("CSGX_jin",38,32,33)
CppScriptMgr:WaitMilSec(1000)
local Player_2=CppScriptMgr:AddSimplePlayer(1055830,39,32,"HouYi",0,0)
Player_2:SetDir(6)
CppScriptMgr:WaitMilSec(1000)
CppScriptMgr:NpcCallOut("Chang`e! My dear!",1500,1,"NPCBust_bg","",320,570,400,580,"NPCBust_NpcZQHy",150,430,"HouYi",250,655)
Player_2:Say("Chang`e! My dear!",1500)
CppScriptMgr:WaitMilSec(1500)
Player_1:SetDir(2)
Player_1:Say("Hou Yi!",1500)
CppScriptMgr:NpcCallOut("Hou Yi!",2000,1,"NPCBust_bg","",320,570,400,580,"NPCBust_NpcZQCe",150,430,"Chang`e",250,655)
CppScriptMgr:WaitMilSec(1500)
CppScriptMgr:ClearEffect(Effect_2)
Player_1:SetCtrlMapView(1)
Player_1:RunTo(44,33)
Player_2:RunTo(43,33)
CppScriptMgr:WaitMilSec(1500)
Player_2:SetAction(103)
Player_2:Say("Sorry, I am late.",2000)
CppScriptMgr:NpcCallOut("Sorry, I am late.",2000,1,"NPCBust_bg","",320,570,400,580,"NPCBust_NpcZQHy",150,430,"HouYi",250,655)
CppScriptMgr:WaitMilSec(2000)
Player_1:SetAction(101)
Player_1:Say("That`s all right. I knew you would come!",2000)
CppScriptMgr:NpcCallOut("That`s all right. I knew you would come!",2000,1,"NPCBust_bg","",320,570,400,580,"NPCBust_NpcZQCe",150,430,"Chang`e",250,655)
CppScriptMgr:WaitMilSec(2000)
Player_2:SetAction(101)
Player_2:Say("We will never be apart ever since!",2000)
CppScriptMgr:NpcCallOut("We will never be apart ever since!",2000,1,"NPCBust_bg","",320,570,400,580,"NPCBust_NpcZQHy",150,430,"HouYi",250,655)
Player_1:SetCtrlMapView(0)
CppScriptMgr:WaitMilSec(3000)
local Effect_3=CppScriptMgr:AddEffect("DX_meigui",44,33,33)
local Effect_4=CppScriptMgr:AddEffect("DragonSoul_lqjj",44,33,33)
Effect_4:Scale(3,3,3)
CppScriptMgr:WaitMilSec(3000)
